/*
 * Copyright (C) 2009, 2010 by Nicole Faerber <nicole.faerber@dpin.de>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 */

#ifndef _BITSTREAM_H
#define _BITSTREAM_H

unsigned int bitstream_get_bits(unsigned char *data, unsigned int bitOffset, unsigned int numBits);

unsigned int bitstream_get_next_bits(unsigned int nbits);

int bitstream_bits_remaining(void);

void bitstream_start(unsigned char *buf, unsigned int len);

#endif

